package main

import (
	"bytes"
	"encoding/json"
	"errors"
	"io/ioutil"
	"net/http"
)

func checkLogin(username, password string) (bool, error) {
	j, err := json.Marshal(map[string]string{
		"username": username,
		"password": password,
	})
	if err != nil {
		return false, err
	}

	resp, err := http.Post(URLLogin, "application/json", bytes.NewReader(j))
	if err != nil {
		return false, err
	}
	defer resp.Body.Close()

	cnt, _ := ioutil.ReadAll(resp.Body)
	return resp.StatusCode == http.StatusOK, errors.New(string(cnt))
}
